Subject: [os2genau_digest] No. 872
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Tue, 22 Jun 2004 00:01:07 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Monday 21 June 2004
 Number  872
**************************************************

Subjects for today
 
1  Re:  Weird Desktop Object corruptions : voytek at sbt dot net dot au
2  Re:  Weird Desktop Object corruptions : Ian Manners" <deadmail>
3  Re:  Weird Desktop Object corruptions : Ian Manners" <deadmail>
4  Re:  Weird Desktop Object corruptions : Simon Coulter <shc at flybynight dot com dot au>
5  Re:  Weird Desktop Object corruptions : brianb at kdfisher dot com dot au
6   Reminder : MelbPc Os2 SIG meeting Tuesday 22 June : Robert Traynor  (BobT)" <rtraynor at optusnet dot com dot au>
7  Re:  Weird Desktop Object corruptions : Ed Durrant <edurrant at bigpond dot net dot au>
8  Re:  Weird Desktop Object corruptions : voytek at sbt dot net dot au
9  Re:  Weird Desktop Object corruptions : Ed Durrant <edurrant at bigpond dot net dot au>

**= Email   1 ==========================**

Date:  Mon, 21 Jun 2004 00:24:01 +1000 (EST)
From:  voytek at sbt dot net dot au
Subject:  Re:  Weird Desktop Object corruptions

> This almost looks like an OS/2 virus !
>
> Very strange in deed !  Any Ideas ??

more like wps/ini problem, I think...

Voytek
----------------------------------------------------------------------------------
 
**= Email   2 ==========================**

Date:  Mon, 21 Jun 2004 02:01:37 +1000 (EST)
From:  "Ian Manners" <deadmail>
Subject:  Re:  Weird Desktop Object corruptions

Hmm, even wierder, I had to read Ed's email in a rejected email
sent back to me from xxx at attglobal dot net, claiming it was a virus...

And, I didnt get Ed's email itself, me thinks somethings not right
with the latest MajorMajor.

On Mon, 21 Jun 2004 00:24:01 +1000 (EST), voytek at sbt dot net dot au wrote:

> > This almost looks like an OS/2 virus !
> >
> > Very strange in deed !  Any Ideas ??
> 
> more like wps/ini problem, I think...
> 
> Voytek

>  

Cheers
Ian Manners
http://www.os2site dot com/

If Windows sucked it would be good for something.
----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Mon, 21 Jun 2004 02:06:53 +1000 (EST)
From:  "Ian Manners" <deadmail>
Subject:  Re:  Weird Desktop Object corruptions

To Answer my own Question :-)

> And, I didnt get Ed's email itself, me thinks somethings not right
> with the latest MajorMajor.

Found it in the eCS mail folder :)
So its just attglobal rejecting it.

Cheers
Ian Manners
http://www.os2site dot com/

WARNING!  Removal of this tagline prohibited by law!
----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Mon, 21 Jun 2004 08:40:16 +1000
From:  Simon Coulter <shc at flybynight dot com dot au>
Subject:  Re:  Weird Desktop Object corruptions

On 20/06/2004, at 8:42 PM, Ed Durrant wrote:

> Desktop objects (icons) that have their working directory
> set to a specific drive, when their properties are closed
> and reopened have the drive letter replaced with a file
> name. Hence I:\data in working directory becomes
> SSMFILES.EXE\data and of course OS/2 complains when the
> object is started. The file name inserted is different
> depending upon the drive letter - for example D: is replace
> with the name of a gif file ! The problem is consistant and
> repeatable. I have run chkdsk on both drives in question
> from a maintenance partition as I suspected the directory
> structure but the problem hasn't gone away. Of my nine
> partitions, only two are affected.
>
> This almost looks like an OS/2 virus !
>
> Very strange in deed !  Any Ideas ??

Hello Ed,

I have suffered this problem previously on Warp 4. I am fairly sure it 
is an OS/2 ini file problem but I could never solve it--even with the 
various ini file tools. I had to reinstall to fix it. I think it may 
have been related to a particular fix pack level.

The system on which I experienced this problem is in a very sad state. 
The WPS is completely stuffed so I've been running it via PM and cmd 
files. I can't face the reinstall and rebuild exercise. I use it only 
for QuickBooks and PC5250--everything else I do on my PowerMac--so I 
can live with the clumsiness.

.... and another soul drifts reluctantly from the OS/2 camp ...

Regards,
Simon Coulter.
--------------------------------------------------------------------
    FlyByNight Software         AS/400 Technical Specialists

    http://www.flybynight dot com dot au/
    Phone: +61 3 9419 0175   Mobile: +61 0411 091 400        /"\
    Fax:   +61 3 9419 0175                                   \ /
                                                              X
                  ASCII Ribbon campaign against HTML E-Mail  / \
--------------------------------------------------------------------

----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Mon, 21 Jun 2004 11:03:19 +1030
From:  brianb at kdfisher dot com dot au
Subject:  Re:  Weird Desktop Object corruptions

Ed,
I have seen this a few times and have no idea what causes it.
I have fixed it with checkini in WPTOOLS.
Checkinn reports something about the first sector of the drive being
corrupt
or similar, it's been a while since I have seen it.

-----------------------------------------
Brian Butler
System Administrator
brianb at kdfisher dot com dot au

                                                                                                                                 
                      Ed Durrant                                                                                                 
                      <edurrant at bigpond        To:       ecomstation at yahoogroups dot com, os2genau at os2 dot org dot au                        
                       dot net dot au>                 cc:                                                                               
                                               Subject:   Weird Desktop Object corruptions                             
                      20/06/2004 20:12                                                                                           
                      Please respond to                                                                                          
                      os2genau                                                                                                   

Has anyone ever seen the following.

Desktop objects (icons) that have their working directory
set to a specific drive, when their properties are closed
and reopened have the drive letter replaced with a file
name. Hence I:\data in working directory becomes
SSMFILES.EXE\data and of course OS/2 complains when the
object is started. The file name inserted is different
depending upon the drive letter - for example D: is replace
with the name of a gif file ! The problem is consistant and
repeatable. I have run chkdsk on both drives in question
from a maintenance partition as I suspected the directory
structure but the problem hasn't gone away. Of my nine
partitions, only two are affected.

This almost looks like an OS/2 virus !

Very strange in deed !  Any Ideas ??

Cheers/2

Ed.

----------------------------------------------------------------------------------

----------------------------------------------------------------------------------

**= Email   6 ==========================**

Date:  Mon, 21 Jun 2004 16:00:52 +1000
From:  "Robert Traynor  (BobT)" <rtraynor at optusnet dot com dot au>
Subject:   Reminder : MelbPc Os2 SIG meeting Tuesday 22 June

Hi All,

 The subject says it all.

Meeting starts from 6.30pm on to about 9.00pm.
We have an IDE CDRW added to the club machine
and so I think we will have a session on getting 
CDR and RW burning in os2 plus everything else
that comes up.

Hope to see you all there.

PS.  IAN,  what has happened to the os2site Auto reminder
notices.  We seem to be out in the dark here.  :-)

Regards,
Robert Traynor (BobT).
21 June 2004   16:00

   ,-._|\       Robert Traynor        (BobT)
 /  Oz  \      email            rtraynor at removeme.optusnet dot com dot au
 \_,--.x/ 

----------------------------------------------------------------------------------

**= Email   7 ==========================**

Date:  Mon, 21 Jun 2004 19:48:51 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  Weird Desktop Object corruptions

Simon Coulter wrote:

> On 20/06/2004, at 8:42 PM, Ed Durrant wrote:
>
> > Desktop objects (icons) that have their working directory
> > set to a specific drive, when their properties are closed
> > and reopened have the drive letter replaced with a file
> > name. Hence I:\data in working directory becomes
> > SSMFILES.EXE\data and of course OS/2 complains when the
> > object is started. The file name inserted is different
> > depending upon the drive letter - for example D: is replace
> > with the name of a gif file ! The problem is consistant and
> > repeatable. I have run chkdsk on both drives in question
> > from a maintenance partition as I suspected the directory
> > structure but the problem hasn't gone away. Of my nine
> > partitions, only two are affected.
> >
> > This almost looks like an OS/2 virus !
> >
> > Very strange in deed !  Any Ideas ??
>
> Hello Ed,
>
> I have suffered this problem previously on Warp 4. I am fairly sure it
> is an OS/2 ini file problem but I could never solve it--even with the
> various ini file tools. I had to reinstall to fix it. I think it may
> have been related to a particular fix pack level.
>
> The system on which I experienced this problem is in a very sad state.
> The WPS is completely stuffed so I've been running it via PM and cmd
> files. I can't face the reinstall and rebuild exercise. I use it only
> for QuickBooks and PC5250--everything else I do on my PowerMac--so I
> can live with the clumsiness.
>
> ... and another soul drifts reluctantly from the OS/2 camp ...
>
> Regards,
> Simon Coulter.
>

Voytek's call was correct it was a WPS corruption - here's what i did

   I copied, reformatted and returned data to the D: drive to see if it was some sort
of corruption there, however the problem stayed.

   I booted to one of my other os2 boot partitions and tried to recreate the problem
there. No success, so it's probably not the hard disk that is housing the problem.

   On re-booting to the main partition, Lotus Smartsuite insists on loading everytime
I start the system, even though it isn't in any startup folder or startup cmd type
files.

   I also checked to see if any WPS enhancer type programs are running - nothing
there.

   Another restart and some objects, althought retaining their icons, lost their
property settings.

  So at this point I concluded that the actual OS2 desktop was corrupted. I have
archiving turned on, but of course now all of my normal backups are corrupt.  Luckily
back in April of this year I backed up an achive into the "original Install"
directory, so i have been able to restore from that and now all is back to normal,
albeit i have now lost all objects for programs installed since April and objects
exist for programs I have since de-installed. Oh well at least I have a usable system
again, but I can't think what caused the problem. The only things different that I
have done recently is install the latest version of SVista, Install IBM Web Browser v
2.0.3 and to use Lotus Wordpro for the first time in ages. Whether any of these caused
the problem, I suspect I will never know !

The moral of this story is to do regular backups of your desktop and store them away !

Cheers/2

Ed.

----------------------------------------------------------------------------------

**= Email   8 ==========================**

Date:  Mon, 21 Jun 2004 21:14:27 +1000 (EST)
From:  voytek at sbt dot net dot au
Subject:  Re:  Weird Desktop Object corruptions

> The moral of this story is to do regular backups of your desktop and store
> them away !

of course that's always a 'good idea'...

for a while now, I only make a (Info)zip up of my boot drive, howver, to
restore an entire drive to fix a ini problem is a bit of a sledge hammer
approach... some month ago, when I had a 'lost desktop' problem, I was at
a verge of unzipping the whole drive... but, then I thought... what if I
only unzip desktop and INIs.... I did, and, it worked.
I was quite pleased.

on a related subject, the PC I'm on now, has a dual (triple, actually)
boot, with w98 and OS/2 (I use win98 for Palm Desktop, and, as a form of
unusual and cruel self punishement),

on fairly regular ocassions, when booting OS/2, X-Workplace panic dialog
comes up with 'corrupt handles'. got me really worried 1st time it came up
(yes, I should have INI and desktop backup.... to reduce worry)
anyhow, when it comes up, I just 'DEL ALL INVALIDs'.

but, yes, it's probably one of the most dreaded mssg in OS/2: your desktop
has stuffed up...

Voytek
----------------------------------------------------------------------------------
 
**= Email   9 ==========================**

Date:  Mon, 21 Jun 2004 21:34:07 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  Weird Desktop Object corruptions

voytek at sbt dot net dot au wrote:

> > The moral of this story is to do regular backups of your desktop and store
> > them away !
>
> of course that's always a 'good idea'...
>
> for a while now, I only make a (Info)zip up of my boot drive, howver, to
> restore an entire drive to fix a ini problem is a bit of a sledge hammer
> approach... some month ago, when I had a 'lost desktop' problem, I was at
> a verge of unzipping the whole drive... but, then I thought... what if I
> only unzip desktop and INIs.... I did, and, it worked.
> I was quite pleased.
>
> Voytek

>  
> ===========================================

Well, I think I may have found the culprit (strangely enough, it is what I first
suspected).

Now that I have a clean desktop and have rebooted a couple of times to get multiple
backups (there's a utility to overwrite the install backup with the current (good)
desktop and INIs, that I must find and run again) - I decided to try to install SVista
Beta3 again - this time I paid more attention to what was happening in the WarpIN
procedure and again I saw corruption taking place when I changed from the defualt
install directories. "I:\svista" became "M" when I did a Next, followed by a back. I
have just re-downloaded the SVista Beta 3 package and I will now unpack it and try
again. If this problem is still there, it suggests Serenity have a corrupt package, if
not it would suggest a corruption of the earlier file, perhaps during download from
Mensys.

Cheers/2

Ed.

----------------------------------------------------------------------------------